Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 390247 (gcc-4.7)

Summary: [tracker] GCC 4.7 porting
Product: Gentoo Linux Reporter: Kacper Kowalik (Xarthisius) (RETIRED) <xarthisius>
Component: [OLD] GCC PortingAssignee: Please assign to toolchain <gcc-porting>
Status: RESOLVED FIXED    
Severity: normal CC: adaptee, alecks.g, alexander, ansla80, asturm, beschindler, bugzie, che, crabbedhaloablution, cruzki123, dark.knight.ita, devurandom, didier-bugzillagentoo, dirk, drescherjm, eric.hegnes, evan.teran, fedotov.i.f, gbugs, gef.kornflakes, gmiramir, jlec, jlp.bugs, kaikaikai, kripton, mail, Martin.Jansa, mick, mmk, n.schlumberger, nheghathivhistha, nikoli, O01eg, pageexec, pwasiewi, reagentoo, regboxemg, solpeth, spider.ch, steev, sven.koehler, svenne, tdalman, vamp898, yoni.girard
Priority: Normal Keywords: Tracker
Version: unspecifiedFlags: rhill: Bugday+
Hardware: All   
OS: Linux   
URL: http://gcc.gnu.org/gcc-4.7/porting_to.html
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 397589, 403197, 407741, 407753, 407761, 409161, 409197, 409225, 409285, 410557, 411803, 411849, 412347, 412349, 412353, 412359, 412361, 412363, 412369, 412371, 412389, 412397, 412615, 413121, 413159, 413425, 413859, 413861, 413935, 413937, 413941, 413943, 413945, 413951, 413963, 414015, 414029, 414031, 414033, 414131, 414133, 414135, 414137, 414139, 414141, 414145, 414147, 414149, 414151, 414153, 414277, 414773, 415425, 415559, 416877, 417147, 417367, 417413, 417493, 417499, 418049, 418359, 419129, 419165, 419505, 419563, 419565, 419635, 419667, 419705, 419761, 420017, 420077, 420635, 420823, 420947, 420959, 420961, 420975, 421071, 421413, 421501, 421551, 421575, 421595, 421607, 421661, 421689, 421691, 421715, 421727, 421731, 421745, 421769, 421779, 421783, 421789, 421867, 421871, 421899, 421901, 421903, 421905, 421913, 421919, 421921, 421951, 421961, 421967, 421973, 422037, 422039, 422065, 422099, 422449, 422453, 422549, 422551, 422553, 422555, 422565, 422569, 422571, 422573, 422575, 422577, 422581, 422583, 422585, 422597, 422599, 422611, 422613, 422619, 422635, 422645, 422665, 422761, 422763, 422767, 422771, 422783, 422785, 422869, 422873, 422893, 422895, 422905, 422977, 423009, 423013, 423021, 423037, 423045, 423047, 423059, 423063, 423105, 423157, 423181, 423183, 423191, 423199, 423215, 423221, 423257, 423261, 423275, 423281, 423311, 423337, 423343, 423375, 423377, 423465, 423497, 423545, 423547, 423613, 423623, 423627, 423629, 423653, 423675, 423695, 423723, 423757, 423759, 423765, 423791, 423813, 423931, 423933, 423935, 423943, 423945, 424057, 424061, 424063, 424065, 424069, 424075, 424083, 424085, 424097, 424099, 424101, 424105, 424111, 424129, 424133, 424181, 424279, 424287, 424291, 424305, 424317, 424319, 424567, 424659, 424661, 424663, 424669, 424673, 424707, 424709, 424723, 424727, 424729, 424731, 424735, 424888, 425110, 425242, 425244, 425246, 425252, 425254, 425262, 425264, 425266, 425274, 425278, 425280, 425366, 425368, 425424, 425432, 425438, 425440, 425472, 425474, 425522, 425584, 425690, 425706, 425836, 426212, 426214, 426220, 426236, 426250, 426296, 426332, 426342, 426368, 426428, 426442, 426454, 426458, 426538, 426600, 426612, 426866, 426870, 426978, 426988, 427066, 427360, 427374, 427376, 427414, 427486, 427490, 427494, 427760, 428130, 428574, 428596, 428666, 429276, 429292, 429362, 429364, 429538, 429652, 429654, 430044, 430108, 430228, 430250, 430338, 430386, 430474, 430522, 430966, 431112, 431228, 431796, 432202, 432356, 432496, 432596, 432874, 433800, 435002, 437742, 437758, 437760, 437890, 438130, 438132, 438536, 439026, 439784, 440000, 440134, 440354, 440630, 441030, 441800, 442266, 442302, 442660, 443664, 444450, 444986, 448422, 448428, 448614, 449326, 449386, 450856, 451438, 451668, 452108, 457992, 459440, 461398, 462108, 465896, 467880, 471064, 501592    
Bug Blocks: 467274, 490906    

Description Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-11-12 10:22:27 UTC
This bug is used for the tracking of packages broken by the upcoming GCC 4.7,
which has now entered the stage 3.

 - File a NEW bug for each issue and make it BLOCK this one.  Assign these bugs
to the maintainer of the package in question, NOT gcc-porting@g.o please.
 - Bugs filed without patches will be closed as INVALID.
 - Don't use this bug for issues in GCC 4.6 itself.  File a new bug and assign
it to the toolchain team.
 - Please keep this tracker free from comments.  Discussion should take place
on the relevant bugs.
Comment 1 Thomas Capricelli 2012-04-19 21:55:46 UTC
With previous versions of gcc, there was a (masked) ebuild in the main portage tree so that we could install it for tests...  but there's no 4.7 ebuild in current tree. Why is it different than before ? Is the ebuild in some overlay ?
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2012-04-29 06:04:00 UTC
I'm working on it, but I don't have a lot of time these days.  Follow along in bug #409315.
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2012-04-29 06:04:36 UTC
There's also a git ebuild in the toolchain overlay.